% Sets the code generation configuration settings on all the models
% If called with 0 arguments it copies :
% configurationSettingsCODE -> configurationSettings
% otherwise it takes the first argument as the name of the
% configuration settings to be copied into configurationSettings

function [] = SCDconf_setCODEconf(varargin)
    if nargin==0
      conf='CODE';
    else
      conf=varargin{1};
    end
    SCDconf_setConf(conf)

    answ = input('Perform git tag operations [(Y)es/(N)o]?','s');
    switch upper(answ)
        case 'Y'
            writegitinfoheader(false)
        otherwise
            writegitinfoheader(true)
    end
    
end